Package com.complexible.stardog.plan.aggregates

# Enum Class Aggregate.ErrorBehaviour

java.lang.Object
java.lang.Enum<Aggregate.ErrorBehaviour>
com.complexible.stardog.plan.aggregates.Aggregate.ErrorBehaviour

All Implemented Interfaces:
  `Serializable`, `Comparable<Aggregate.ErrorBehaviour>`, `Constable`

Enclosing interface:
  `Aggregate`

public static enum Aggregate.ErrorBehaviour extends Enum<Aggregate.ErrorBehaviour>
Define behaviour of this aggregate when the input is unbound / erroneous

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `InputDependent`
  Produces an error / unbound output if the input argument is unbound (i.e.
  `MayRaise`
  May raise an error, even if the input is not unbound (e.g.
  `Never`
  Aggregate will never raise an error

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Aggregate.ErrorBehaviour`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Aggregate.ErrorBehaviour[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Never

    public static final Aggregate.ErrorBehaviour Never
    Aggregate will never raise an error

  - ### MayRaise

    public static final Aggregate.ErrorBehaviour MayRaise
    May raise an error, even if the input is not unbound (e.g. due to data-type incompatibility)

  - ### InputDependent

    public static final Aggregate.ErrorBehaviour InputDependent
    Produces an error / unbound output if the input argument is unbound (i.e. Variable expr returns an error)

- ## Method Details

  - ### values

    public static Aggregate.ErrorBehaviour[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Aggregate.ErrorBehaviour valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null